[tool.poetry]
name = "ska-nmgr-librenms"
version = "0.4.30"
description = "SKA NMGR LibreNMS"
authors = ["Piers Harding <piers.harding@skao.int>"]
license = "BSD-3-Clause"
packages = [
]

[[tool.poetry.source]]
name = 'ska-nexus'
url = 'https://artefact.skao.int/repository/pypi-internal/simple'
[[tool.poetry.source]]
name = "PyPI-public"
url = 'https://pypi.org/simple'

[tool.poetry.dependencies]
python = ">=3.10,<=3.12.3"

[tool.poetry.group.docs.dependencies]
Sphinx = "^6.2.1"
ska-ser-sphinx-theme = "^0.1.1"
sphinx-autodoc-typehints = "^1.23.0"
sphinxcontrib-plantuml = "^0.25"
ska-control-model = "^0.3.1"
typing-extensions = "^4.6.3"
sphinx_copybutton = "*"
sphinx_new_tab_link = "*"
m2r2 = "*"


[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
